[gs-bugs] [Bug 691561] New: Ghost Script 8.64-6.2.1.x86_64 Segmentation Fault

bugzilla-daemon at ghostscript.com bugzilla-daemon at ghostscript.com
Tue Aug 17 12:51:48 UTC 2010


http://bugs.ghostscript.com/show_bug.cgi?id=691561

           Summary: Ghost Script 8.64-6.2.1.x86_64 Segmentation Fault
           Product: Ghostscript
           Version: 8.64
          Platform: PC
        OS/Version: Linux
            Status: NEW
          Severity: critical
          Priority: P4
         Component: General
        AssignedTo: support at artifex.com
        ReportedBy: r.gardner at midata.de
         QAContact: gs-bugs at ghostscript.com
   Estimated Hours: 0.0


I have a Fujitsu TX200 S5 Server with openSUSE 11.2 64 bit installed. I am
having problems with Ghost Script. I want to merge two files into one and open
it with Adobe Reader. I have tried this on a Fujitsu TX200 Server with openSUSE
11.2 32 bit installed and it works ok. Here is the command I use:

gs -q -dNOPAUSE -sDEVICE=pdfwrite -sOUTPUTFILE=TestMerge.pdf -dBATCH Test.pdf
Test2.pdf

On the TX200 S5 with 64 bit, I get the message:

**** Warning: Generation number out of 0..65535 range, assuming 0.
**** Warning: File has an invalid xref entry: 2. Rebuilding xref table.

**** This file had errors that were repaired or ignored.
**** The file was produced by:
**** >>>> iText 1.4.8 (by lowagie.com) <<<<
**** Please notify the author of the software that produced this
**** file that it does not conform to Adobe's published PDF
**** specification.

Segmentation fault

and I can't open the file with Adobe Reader. It tells me the file is damaged
and cannot be repaired.

On the TX200 with 32 bit, I get the message:

**** Warning: Generation number out of 0..65535 range, assuming 0.
**** Warning: File has an invalid xref entry: 2. Rebuilding xref table.

**** This file had errors that were repaired or ignored.
**** The file was produced by:
**** >>>> iText 1.4.8 (by lowagie.com) <<<<
**** Please notify the author of the software that produced this
**** file that it does not conform to Adobe's published PDF
**** specification.

**** Warning: Generation number out of 0..65535 range, assuming 0.
**** Warning: Generation number out of 0..65535 range, assuming 0.
**** Warning: Generation number out of 0..65535 range, assuming 0.
**** Warning: Generation number out of 0..65535 range, assuming 0.
**** Warning: File has an invalid xref entry: 2. Rebuilding xref table.

**** This file had errors that were repaired or ignored.
**** The file was produced by:
**** >>>> iText 1.4.8 (by lowagie.com) <<<<
**** Please notify the author of the software that produced this
**** file that it does not conform to Adobe's published PDF
**** specification.

and I can open the file with Adobe Reader.

Does anyone have an idea what causes this?
Thank You

-- 
Configure bugmail: http://bugs.ghostscript.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug.


More information about the gs-bugs mailing list